<?php

function execute ($cmd)
{
    $result = "";

    $f = popen ("$cmd", 'r');
    while (($line = fgets ($f, 512)))
    {
        $result .= $line;
    }
    pclose ($f);

    return (trim ($result));
}

// Get the package version
$pkgVersion = execute ("dpkg -l icomposer 2>/dev/null | grep icomposer | sed -r 's/[\\t ]+/ /g' | cut -d' ' -f3");
if (strlen ($pkgVersion) < 1)
    $pkgVersion = 'UNKNOWN';

$translator = Zend_Registry::getInstance ()->get ('Zend_Translate');

$this->headScript()->appendScript($this->variables);

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang=fr" lang="fr">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>.: iPreso - <?echo $translator->translate('Composer')?> :.</title>
    <link rel="icon" type="image/png" href="<?php echo $this->baseUrl ();?>/favicon.png" />
    <link rel="stylesheet" type="text/css" media="screen" href="<?php echo $this->baseUrl ();?>/css/base.css" />
    <link rel="stylesheet" type="text/css" media="screen" href="<?php echo $this->baseUrl ();?>/css/upload.css" />
    <?echo $this->headStyle(); ?>
    <?echo $this->headLink(); ?>
    <script type="text/javascript" src="<?php echo $this->baseUrl ();?>/js/mootools-1.2.5-core-nc.js"></script>
    <script type="text/javascript" src="<?php echo $this->baseUrl ();?>/js/mootools-1.2.5.1-more.js"></script>
    <?echo $this->headScript(); ?>
  </head>
  <body>
	<br>
    <div id="content">	  
	  <center>
		  <h2><?echo $translator->translate ('AgreementsTitle');?></h2>
		  <div id="popupAgreement">
			<textarea rows="20" cols="102" readonly>
				<?
					$translator = Zend_Registry::getInstance ()->get ('Zend_Translate');
					$this->headLink ()->appendStylesheet ('/css/account.css');
					$containsAgreement = new Admin_Agreements ();
					$contains= $containsAgreement->getLastLogs (1);
					print_r($contains);
				?>
			</textarea>
		  </div>
		</center>
      <? 
        $checked = "";
                                 
        echo '<form enctype="application/x-www-form-urlencoded" id="acceptedAgreement" method="post" action="/supervision/displayagreement" style="width:100%">';
        echo $this->composerTableLine ($translator->translate ('Do not show the legal notices'),'<input onChange="" type="checkbox" name="userDisplayAgreement" value="1" '.$checked.'/>');
        echo $this->composerTableLine ('<input type="submit" id="acceptedAgreement" onClick="",\"5000\")" value="'.$translator->translate("Validate").'" /></center>','', 'MERGED');
        echo "</form>";
      ?>
      
    </div>
    <div style="text-align: center; padding: 3px; font-size: 0.8em;">iPreso Composer Version <?echo $pkgVersion ;?></div>
  </body>
</html>

  
